###################################################
### chunk number 1: LoadLibrary
###################################################
#line 124 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
library('PerformanceAnalytics')
data(managers)
data(edhec)


###################################################
### chunk number 2: CalcDataDimensions
###################################################
#line 130 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
managers.length = dim(managers)[1]
manager.col = 1
peers.cols = c(2,3,4,5,6)
indexes.cols = c(7,8)
Rf.col = 10
trailing12.rows = ((managers.length - 11):managers.length)
trailing36.rows = ((managers.length - 35):managers.length)
trailing60.rows = ((managers.length - 59):managers.length)
#assume contiguous NAs - this may not be the way to do it na.contiguous()?
frInception.rows = (length(managers[,1]) -
length(managers[,1][!is.na(managers[,1])]) + 1):length(managers[,1])


###################################################
### chunk number 3: Graph1
###################################################
#line 183 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
charts.PerformanceSummary(managers[,c(manager.col,indexes.cols)],
colorset=rich6equal, lwd=2, ylog=TRUE)


###################################################
### chunk number 4: CalendarReturns
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
t(table.CalendarReturns( managers[,c(manager.col,indexes.cols)]) )


###################################################
### chunk number 5: MonthlyReturnStats
###################################################
#line 210 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
table.Stats(managers[,c(manager.col,peers.cols)])


###################################################
### chunk number 6: Graph10
###################################################
#line 222 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
chart.Boxplot(managers[ trailing36.rows, c(manager.col, peers.cols,
indexes.cols)], main = "Trailing 36-Month Returns")


###################################################
### chunk number 7: Graph13
###################################################
#line 235 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
layout(rbind(c(1,2),c(3,4)))
chart.Histogram(managers[,1,drop=F], main = "Plain", methods = NULL)
chart.Histogram(managers[,1,drop=F], main = "Density", breaks=40,
methods = c("add.density", "add.normal"))
chart.Histogram(managers[,1,drop=F], main = "Skew and Kurt", methods = c
("add.centered", "add.rug"))
chart.Histogram(managers[,1,drop=F], main = "Risk Measures", methods = c
("add.risk"))


###################################################
### chunk number 8: Graph3
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
chart.RiskReturnScatter(managers[trailing36.rows,1:8], Rf=.03/12, main =
"Trailing 36-Month Performance", colorset=c("red", rep("black",5), "orange",
"green"))


###################################################
### chunk number 9: Graph5
###################################################
#line 272 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
charts.RollingPerformance(managers[, c(manager.col, peers.cols,
indexes.cols)], Rf=.03/12, colorset = c("red", rep("darkgray",5), "orange",
"green"), lwd = 2)


###################################################
### chunk number 10: Graph6
###################################################
#line 289 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
chart.RelativePerformance(managers[ , manager.col, drop = FALSE],
managers[ , c(peers.cols, 7)], colorset = tim8equal[-1], lwd = 2, legend.loc
= "topleft")


###################################################
### chunk number 11: Graph6a
###################################################
#line 307 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
chart.RelativePerformance(managers[ , c(manager.col, peers.cols) ],
managers[, 8, drop=F], colorset = rainbow8equal, lwd = 2, legend.loc =
"topleft")


###################################################
### chunk number 12: tableCAPM
###################################################
#line 323 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
table.CAPM(managers[trailing36.rows, c(manager.col, peers.cols)],
managers[ trailing36.rows, 8, drop=FALSE], Rf = managers[ trailing36.rows,
Rf.col, drop=F ])


###################################################
### chunk number 13: Graph8
###################################################
#line 397 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
charts.RollingRegression(managers[, c(manager.col, peers.cols), drop =
FALSE], managers[, 8, drop = FALSE], Rf = .03/12, colorset = redfocus, lwd =
2)


###################################################
### chunk number 14: tableDownside
###################################################
#line 415 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
table.DownsideRisk(managers[,1:6],Rf=.03/12)


###################################################
### chunk number 15: LoadData
###################################################
#line 571 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
data(managers)
head(managers)


###################################################
### chunk number 16: CalcDataDimensions
###################################################
#line 586 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
dim(managers)
managers.length = dim(managers)[1]
colnames(managers)
manager.col = 1
peers.cols = c(2,3,4,5,6)
indexes.cols = c(7,8)
Rf.col = 10
#factors.cols = NA
trailing12.rows = ((managers.length - 11):managers.length)
trailing12.rows
trailing36.rows = ((managers.length - 35):managers.length)
trailing60.rows = ((managers.length - 59):managers.length)
#assume contiguous NAs - this may not be the way to do it na.contiguous()?
frInception.rows = (length(managers[,1]) -
length(managers[,1][!is.na(managers[,1])]) + 1):length(managers[,1])


###################################################
### chunk number 17: Graph1
###################################################
#line 614 "d:/Rcompile/CRANpkg/local/2.12/PerformanceAnalytics/inst/doc/PerformanceAnalyticsPresentation-UseR-2007.Rnw"
charts.PerformanceSummary(managers[,c(manager.col,indexes.cols)],
colorset=rich6equal, lwd=2, ylog=TRUE)


